[ARVADOS] updated: 1.3.0-2241-g582ca9b39

Git user git at public.arvados.org
Tue Feb 18 22:04:43 UTC 2020


Summary of changes:
 build/run-tests.sh | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

       via  582ca9b39f96c3816f67360cbed3a7665a8c3da8 (commit)
      from  63b1a5c12557bb11505f9dcfcc955f328b51e118 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit 582ca9b39f96c3816f67360cbed3a7665a8c3da8
Author: Tom Clegg <tom at tomclegg.ca>
Date:   Tue Feb 18 17:03:49 2020 -0500

    15954: Fix install recipes in run-tests.sh.
    
    Arvados-DCO-1.1-Signed-off-by: Tom Clegg <tom at tomclegg.ca>

diff --git a/build/run-tests.sh b/build/run-tests.sh
index ad800dfd0..d3ae29d49 100755
--- a/build/run-tests.sh
+++ b/build/run-tests.sh
@@ -648,8 +648,13 @@ install_env() {
     . "$VENVDIR/bin/activate"
 
     # Needed for run_test_server.py which is used by certain (non-Python) tests.
-    pip install --no-cache-dir PyYAML future httplib2 \
-        || fatal "`pip install PyYAML future httplib2` failed"
+    (
+        set -e
+        "${VENVDIR}/bin/pip" install PyYAML
+        "${VENV3DIR}/bin/pip" install PyYAML
+        cd "$WORKSPACE/sdk/python"
+        python setup.py install
+    ) || fatal "installing PyYAML and sdk/python failed"
 
     # Preinstall libcloud if using a fork; otherwise nodemanager "pip
     # install" won't pick it up by default.
@@ -890,7 +895,7 @@ bundle_install_trylocal() {
             echo "(Running bundle install again, without --local.)"
             "$bundle" install --no-deployment
         fi
-        "$bundle" package --all
+        "$bundle" package
     )
 }
 
@@ -1100,7 +1105,7 @@ install_deps() {
     do_install sdk/cli
     do_install sdk/perl
     do_install sdk/python pip
-    do_install sdk/python pip3
+    do_install sdk/python pip "${VENV3DIR}/bin/"
     do_install sdk/ruby
     do_install services/api
     do_install services/arv-git-httpd go

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list